求助vue兼容iE9,开发环境ie10打开正常,IE9打不开;

Lorsque
  • 2
新手上路,请多包涵

开发环境ie10打开正常,IE9打不开;打包后IE报错,const等语法为转换,请问该怎么解决?

//babel.config.js
module.exports = {
    presets: [
        '@vue/app'
    ]
}
//vue.config.js
 config.module
            .rule('js')
            .test(/\.js$/)
            .include
            .add(__dirname, ['src', 'test', 'node_modules/webpack-dev-server/client'])
            .end()
            .use('babel')
            .loader('babel-loader')
回复
阅读 470
1 个回答
✓ 已被采纳

使用babel进行语法转换,如果使用了api的话,还需要使用babel-polyfill转换api

这可以网上查找如何配置,非常多的教程,在这里描述不清

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
你知道吗?

宣传栏